/*-------------------------------------------------------------------------

project: genFamMem - maintaining families of requirements

author: Jan Bredereke
copyright: Jan Bredereke, 2000
$Id: calc.h,v 1.4 2001/02/15 08:59:52 brederek Exp $

file: calc.c - header file: perform various calculations on the relations,
	       do semantic checking

-------------------------------------------------------------------------*/


/*-------------------------------------------------------------------------
The functions for external use
-------------------------------------------------------------------------*/

/* add the implicitly generated sections and classes for pure
   family members */
/* returns: the number of semantic errors encountered */
/* It also prints error messages on stdout. */
extern int
calcAddGeneratedSections();

/* calculate the relations for the specific family member */
/* returns: the number of semantic errors encountered */
/* It also prints error messages on stdout. */
extern int
calcRelsSpecificMember();

/* extend the line numbers towards the end of the document just before
   the next item begins, except for *_end. */
extern void
calcExtendLineNumbers();

/* calculate the uses-hierarchy for the parameters specified on the 
   command line */
/* The root nodes get level 0, the others increasing values. */
extern void
calcUsesHierarchy();
