/*-------------------------------------------------------------------------

project: genFamMem - maintaining families of requirements

author: Jan Bredereke
copyright: Jan Bredereke, 2000
$Id: genidentifier.h,v 1.2 2001/01/29 09:23:13 brederek Exp $

file: genidentifier.h - header file: generate unique identifiers

An extension of identifier.h. Provides a function to generate a
unique identifier from an identifier. The generated identifier
contains a "." and thus cannot create clashes with parsed
identifiers.

-------------------------------------------------------------------------*/

#ifndef GENIDENTIFIER_H
#define GENIDENTIFIER_H

#include "identifier.h"

/*-------------------------------------------------------------------------
The functions for external use
-------------------------------------------------------------------------*/

/* generate a unique identifier from a provided identifier */
/* returns: a non-negative id number on success */
/* exits with an error message and code 2 if there is no more space in the */
/*          internal table or if there are no more internal identifier */
/*          numbers */
/* The name generated may be obtained by idId2Identifier(). */
extern int
gidGenUniqueIdentifier(char *str);

#endif /* GENIDENTIFIER_H */
